void setup() {
  size(700, 400);
  background(0);
  rectMode(CENTER);
}

void draw() {
  // no border for all shapes
  noStroke();

  // map difference between previous mouse Y position (pmouseY)
  // and current mouse Y position to a good size 
  // for the transparent rectangle to draw on the screen
  float size = map(pmouseY-mouseY, 0, 10, 3, 20);
  
  // first draw a dot in the center of the rectangle, no transparency
  fill(30, 200, 230);
  rect(frameCount%width, map(mouseX, 0, width, 50, height-50), 2, 2);
  
  // draw a transparent rectangle with size depending on mouse movement (see above)  
  fill(230, 120, 230, 40);
  rect(frameCount%width, map(mouseX, 0, width, 50, height-50), size, size);
}

// erase background on key press
void keyPressed() {
  background(0);
}