import nl.tue.id.oocsi.*;

// ******************************************************
// This example requires a running OOCSI server!
//
// How to do that? Check: Examples > Tools > LocalServer
//
// More information how to run an OOCSI server
// can be found here: https://iddi.github.io/oocsi/)
// ******************************************************

float x;
float y;
float ydiff;

void setup() {
  size(700, 400);
  background(0);
  rectMode(CENTER);

  // connect to OOCSI network running on local computer 
  // and subscribe to the datavis channel
  OOCSI oocsi = new OOCSI(this, "datavis_receiver", "localhost");
  oocsi.subscribe("datavis");
}

void draw() {
  // no border for all shapes
  noStroke();
  
  // map difference between previous mouse Y position (pmouseY)
  // and current mouse Y position to a good size 
  // for the transparent rectangle to draw on the screen
  float size = map(ydiff, 0, 10, 3, 20);
  
  // first draw a dot in the center of the rectangle, no transparency
  fill(30, 200, 230);
  rect(frameCount%width, map(y, 0, 400, 50, height- 50), 2, 2);
  
  // draw a transparent rectangle with size depending on mouse movement (see above)  
  fill(230, 120, 230, 20);
  rect(frameCount%width, map(y, 0, 400, 50, height- 50), size, size);
}

// receive events from OOCSI, datavis channel
void datavis(OOCSIEvent event) {
  // extract x, y, and ydiff from the event:
  x = event.getFloat("x", 0);
  y = event.getFloat("y", 0);
  ydiff = event.getFloat("ydiff", 0);
}

// erase background on key press
void keyPressed() {
  background(0);
}